"use strict";

module.exports = function traverseTransformHistory(metadata) {
	let history = [];
	let current = metadata;

	while (current != null) {
		history.push(current);
		current = current.inputFileMetadata;
	}

	return history.reverse();
};
